# This file was generated by Rcpp::compileAttributes
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @title Compute ICCbeta intraclass correlation
#' @description Computes the proportion of variance attributed to group heterogeneity in slopes as described by Aguinis & Culpepper (2015).
#' The function uses lmer model information. 
#' @usage icc_beta(X,l2id,T,vy)
#' @param X The design \code{matrix} of fixed effects from a lmer model.  
#' @param l2id A \code{vector} that identifies group membership. The vector must be coded as a sequence from 1 to J, the number of groups.
#' @param T A \code{matrix} of the estimated variance-covariance matrix of a lmer model fit.
#' @return vy The variance of the dependent variable.
#' @author Steven A Culpepper
NULL

icc_beta <- function(X, l2id, T, vy) {
    .Call('iccbeta_icc_beta', PACKAGE = 'iccbeta', X, l2id, T, vy)
}

